Package com.android.server.os

# Interface LinphoneTombstoneProtos.TombstoneOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`

All Known Implementing Classes:
  `LinphoneTombstoneProtos.Tombstone`, `LinphoneTombstoneProtos.Tombstone.Builder`

Enclosing class:
  LinphoneTombstoneProtos

public static interface LinphoneTombstoneProtos.TombstoneOrBuilder extends com.google.protobuf.MessageLiteOrBuilder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsThreads(int key)`
`map<uint32, .Thread> threads = 16;`
`String`
`getAbortMessage()`
`string abort_message = 14;`
`com.google.protobuf.ByteString`
`getAbortMessageBytes()`
`string abort_message = 14;`
`LinphoneTombstoneProtos.Architecture`
`getArch()`
`.Architecture arch = 1;`
`int`
`getArchValue()`
`.Architecture arch = 1;`
`String`
`getBuildFingerprint()`
`string build_fingerprint = 2;`
`com.google.protobuf.ByteString`
`getBuildFingerprintBytes()`
`string build_fingerprint = 2;`
`LinphoneTombstoneProtos.Cause`
`getCauses(int index)`
`repeated .Cause causes = 15;`
`int`
`getCausesCount()`
`repeated .Cause causes = 15;`
`List<LinphoneTombstoneProtos.Cause>`
`getCausesList()`
`repeated .Cause causes = 15;`
`String`
`getCommandLine(int index)`
`repeated string command_line = 9;`
`com.google.protobuf.ByteString`
`getCommandLineBytes(int index)`
`repeated string command_line = 9;`
`int`
`getCommandLineCount()`
`repeated string command_line = 9;`
`List<String>`
`getCommandLineList()`
`repeated string command_line = 9;`
`LinphoneTombstoneProtos.CrashDetail`
`getCrashDetails(int index)`
`repeated .CrashDetail crash_details = 21;`
`int`
`getCrashDetailsCount()`
`repeated .CrashDetail crash_details = 21;`
`List<LinphoneTombstoneProtos.CrashDetail>`
`getCrashDetailsList()`
`repeated .CrashDetail crash_details = 21;`
`LinphoneTombstoneProtos.LogBuffer`
`getLogBuffers(int index)`
`repeated .LogBuffer log_buffers = 18;`
`int`
`getLogBuffersCount()`
`repeated .LogBuffer log_buffers = 18;`
`List<LinphoneTombstoneProtos.LogBuffer>`
`getLogBuffersList()`
`repeated .LogBuffer log_buffers = 18;`
`LinphoneTombstoneProtos.MemoryMapping`
`getMemoryMappings(int index)`
`repeated .MemoryMapping memory_mappings = 17;`
`int`
`getMemoryMappingsCount()`
`repeated .MemoryMapping memory_mappings = 17;`
`List<LinphoneTombstoneProtos.MemoryMapping>`
`getMemoryMappingsList()`
`repeated .MemoryMapping memory_mappings = 17;`
`LinphoneTombstoneProtos.FD`
`getOpenFds(int index)`
`repeated .FD open_fds = 19;`
`int`
`getOpenFdsCount()`
`repeated .FD open_fds = 19;`
`List<LinphoneTombstoneProtos.FD>`
`getOpenFdsList()`
`repeated .FD open_fds = 19;`
`int`
`getPid()`
`uint32 pid = 5;`
`int`
`getProcessUptime()`
Process uptime in seconds.
`String`
`getRevision()`
`string revision = 3;`
`com.google.protobuf.ByteString`
`getRevisionBytes()`
`string revision = 3;`
`String`
`getSelinuxLabel()`
`string selinux_label = 8;`
`com.google.protobuf.ByteString`
`getSelinuxLabelBytes()`
`string selinux_label = 8;`
`LinphoneTombstoneProtos.Signal`
`getSignalInfo()`
`.Signal signal_info = 10;`
`Map<Integer,LinphoneTombstoneProtos.Thread>`
`getThreads()`
Deprecated.
`int`
`getThreadsCount()`
`map<uint32, .Thread> threads = 16;`
`Map<Integer,LinphoneTombstoneProtos.Thread>`
`getThreadsMap()`
`map<uint32, .Thread> threads = 16;`
`LinphoneTombstoneProtos.Thread`
`getThreadsOrDefault(int key, LinphoneTombstoneProtos.Thread defaultValue)`
`map<uint32, .Thread> threads = 16;`
`LinphoneTombstoneProtos.Thread`
`getThreadsOrThrow(int key)`
`map<uint32, .Thread> threads = 16;`
`int`
`getTid()`
`uint32 tid = 6;`
`String`
`getTimestamp()`
`string timestamp = 4;`
`com.google.protobuf.ByteString`
`getTimestampBytes()`
`string timestamp = 4;`
`int`
`getUid()`
`uint32 uid = 7;`
`boolean`
`hasSignalInfo()`
`.Signal signal_info = 10;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Method Details

### getArchValue

int getArchValue()
`.Architecture arch = 1;`

Returns:
  The enum numeric value on the wire for arch.

### getArch

LinphoneTombstoneProtos.Architecture getArch()
`.Architecture arch = 1;`

Returns:
  The arch.

### getBuildFingerprint

String getBuildFingerprint()
`string build_fingerprint = 2;`

Returns:
  The buildFingerprint.

### getBuildFingerprintBytes

com.google.protobuf.ByteString getBuildFingerprintBytes()
`string build_fingerprint = 2;`

Returns:
  The bytes for buildFingerprint.

### getRevision

String getRevision()
`string revision = 3;`

Returns:
  The revision.

### getRevisionBytes

com.google.protobuf.ByteString getRevisionBytes()
`string revision = 3;`

Returns:
  The bytes for revision.

### getTimestamp

String getTimestamp()
`string timestamp = 4;`

Returns:
  The timestamp.

### getTimestampBytes

com.google.protobuf.ByteString getTimestampBytes()
`string timestamp = 4;`

Returns:
  The bytes for timestamp.

### getPid

int getPid()
`uint32 pid = 5;`

Returns:
  The pid.

### getTid

int getTid()
`uint32 tid = 6;`

Returns:
  The tid.

### getUid

int getUid()
`uint32 uid = 7;`

Returns:
  The uid.

### getSelinuxLabel

String getSelinuxLabel()
`string selinux_label = 8;`

Returns:
  The selinuxLabel.

### getSelinuxLabelBytes

com.google.protobuf.ByteString getSelinuxLabelBytes()
`string selinux_label = 8;`

Returns:
  The bytes for selinuxLabel.

### getCommandLineList

List<String> getCommandLineList()
`repeated string command_line = 9;`

Returns:
  A list containing the commandLine.

### getCommandLineCount

int getCommandLineCount()
`repeated string command_line = 9;`

Returns:
  The count of commandLine.

### getCommandLine

String getCommandLine(int index)
`repeated string command_line = 9;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The commandLine at the given index.

### getCommandLineBytes

com.google.protobuf.ByteString getCommandLineBytes(int index)
`repeated string command_line = 9;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The commandLine at the given index.

### getProcessUptime

int getProcessUptime()

     Process uptime in seconds.

`uint32 process_uptime = 20;`

Returns:
  The processUptime.

### hasSignalInfo

boolean hasSignalInfo()
`.Signal signal_info = 10;`

Returns:
  Whether the signalInfo field is set.

### getSignalInfo

LinphoneTombstoneProtos.Signal getSignalInfo()
`.Signal signal_info = 10;`

Returns:
  The signalInfo.

### getAbortMessage

String getAbortMessage()
`string abort_message = 14;`

Returns:
  The abortMessage.

### getAbortMessageBytes

com.google.protobuf.ByteString getAbortMessageBytes()
`string abort_message = 14;`

Returns:
  The bytes for abortMessage.

### getCrashDetailsList

List<LinphoneTombstoneProtos.CrashDetail> getCrashDetailsList()
`repeated .CrashDetail crash_details = 21;`

### getCrashDetails

LinphoneTombstoneProtos.CrashDetail getCrashDetails(int index)
`repeated .CrashDetail crash_details = 21;`

### getCrashDetailsCount

int getCrashDetailsCount()
`repeated .CrashDetail crash_details = 21;`

### getCausesList

List<LinphoneTombstoneProtos.Cause> getCausesList()
`repeated .Cause causes = 15;`

### getCauses

LinphoneTombstoneProtos.Cause getCauses(int index)
`repeated .Cause causes = 15;`

### getCausesCount

int getCausesCount()
`repeated .Cause causes = 15;`

### getThreadsCount

int getThreadsCount()
`map<uint32, .Thread> threads = 16;`

### containsThreads

boolean containsThreads(int key)
`map<uint32, .Thread> threads = 16;`

### getThreads

@Deprecated Map<Integer,LinphoneTombstoneProtos.Thread> getThreads()
Deprecated.
Use `getThreadsMap()` instead.

### getThreadsMap

Map<Integer,LinphoneTombstoneProtos.Thread> getThreadsMap()
`map<uint32, .Thread> threads = 16;`

### getThreadsOrDefault

LinphoneTombstoneProtos.Thread getThreadsOrDefault(int key, LinphoneTombstoneProtos.Thread defaultValue)
`map<uint32, .Thread> threads = 16;`

### getThreadsOrThrow

LinphoneTombstoneProtos.Thread getThreadsOrThrow(int key)
`map<uint32, .Thread> threads = 16;`

### getMemoryMappingsList

List<LinphoneTombstoneProtos.MemoryMapping> getMemoryMappingsList()
`repeated .MemoryMapping memory_mappings = 17;`

### getMemoryMappings

LinphoneTombstoneProtos.MemoryMapping getMemoryMappings(int index)
`repeated .MemoryMapping memory_mappings = 17;`

### getMemoryMappingsCount

int getMemoryMappingsCount()
`repeated .MemoryMapping memory_mappings = 17;`

### getLogBuffersList

List<LinphoneTombstoneProtos.LogBuffer> getLogBuffersList()
`repeated .LogBuffer log_buffers = 18;`

### getLogBuffers

LinphoneTombstoneProtos.LogBuffer getLogBuffers(int index)
`repeated .LogBuffer log_buffers = 18;`

### getLogBuffersCount

int getLogBuffersCount()
`repeated .LogBuffer log_buffers = 18;`

### getOpenFdsList

List<LinphoneTombstoneProtos.FD> getOpenFdsList()
`repeated .FD open_fds = 19;`

### getOpenFds

LinphoneTombstoneProtos.FD getOpenFds(int index)
`repeated .FD open_fds = 19;`

### getOpenFdsCount

int getOpenFdsCount()
`repeated .FD open_fds = 19;`